windowsHelloForBusinessAuthenticationMethod 资源类型

命名空间:microsoft.graph

重要

Microsoft Graph /beta 版本下的 API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

向用户注册的 Windows Hello 企业版身份验证方法的表示形式。 Windows Hello 企业版是 Windows 设备的一种登录身份验证方法。

这是继承自 authenticationMethod 资源类型的派生类型。

方法

方法 返回类型 Description
List windowsHelloForBusinessAuthenticationMethod 集合 获取 windowsHelloForBusinessAuthenticationMethod 对象及其属性的列表。
Get windowsHelloForBusinessAuthenticationMethod 读取 windowsHelloForBusinessAuthenticationMethod 对象的属性和关系。
删除 无 删除 windowsHelloForBusinessAuthenticationMethod 对象。

属性

属性 类型 说明
createdDateTime DateTimeOffset 注册此 Windows Hello 企业版密钥的日期和时间。
displayName String 注册了 Windows Hello 企业版的设备的名称
id String 此身份验证方法的唯一标识符。 继承自 authenticationMethod
keyStrength authenticationMethodKeyStrength 此 Windows Hello 企业版密钥的主要优势。 可能的值包括 normal、weak、unknown。
lastUsedDateTime DateTimeOffset 用户上次使用身份验证方法的日期和时间。 只读。 可选。 如果身份验证方法未填充此可选值,则表示 null 此可选值。 时间戳类型使用 ISO 8601 格式表示日期和时间信息,并且始终采用 UTC 格式。 例如,2014 年 1 月 1 日午夜 UTC 为 2014-01-01T00:00:00Z。 继承自 authenticationMethod。

关系

关系 类型 说明
设备 设备 此 Windows Hello 企业版密钥所在的已注册设备。 支持 $expand。

获取用户的 Windows Hello 企业版注册信息时,此属性仅在单个 GET 上返回,并且在指定 ?$expand. 例如,GET /users/admin@contoso.com/authentication/windowsHelloForBusinessMethods/_jpuR-TGZtk6aQCLF3BQjA2?$expand=device.

以下 JSON 表示形式显示资源类型。

{
  "@odata.type": "#microsoft.graph.windowsHelloForBusinessAuthenticationMethod",
  "id": "String (Identifier)",
  "displayName": "String",
  "createdDateTime": "String (timestamp)",
  "keyStrength": {"@odata.type": "microsoft.graph.authenticationMethodKeyStrength"},
  "lastUsedDateTime": "String (timestamp)",
}